# Get an OAuth app

Fetches an OAuth app.

```http
GET https://api.pozy.ai/v1/connect/oauth-apps/{appId}
```

- Area: Accounts & connections / Connect
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `appId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `app`, object, required
  - `id`, string, required
  - `platform`, string, required
  - `label`, string, required
  - `clientId`, string, required
  - `scopeAreas`, array of string, required: Each item: one of `posting`, `analytics`, `comments`, `messaging`
  - `status`, string, required: One of `ok`, `unchecked`, `invalid`
  - `lastCheckedAt`, string (date-time): Can be null
  - `lastError`, string: Can be null
  - `accountCount`, integer, required
  - `redirectUri`, string (URL), required
  - `webhook`, object: Can be null
    - `callbackUrl`, string (URL), required
    - `verifyToken`, string, required
    - `object`, string, required: One of `page`, `instagram`
    - `fields`, array of string, required
  - `sharedWebhookUrl`, string (URL): Can be null
  - `hasSlackSigningSecret`, boolean
  - `slackEvents`, object: Can be null
    - `requestUrl`, string (URL), required
    - `botEvents`, array of string, required
  - `createdAt`, string (date-time), required

```json
{
  "app": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "platform": "instagram",
    "label": "string",
    "clientId": "6676c044a482bcb231679047",
    "scopeAreas": [
      "posting"
    ],
    "status": "ok",
    "lastCheckedAt": "2026-10-02T09:00:00.000Z",
    "lastError": "string",
    "accountCount": 42,
    "redirectUri": "https://pozy.ai/media/example-1.jpg",
    "webhook": {
      "callbackUrl": "https://pozy.ai/media/example-1.jpg",
      "verifyToken": "string",
      "object": "page",
      "fields": [
        "string"
      ]
    },
    "sharedWebhookUrl": "https://pozy.ai/media/example-1.jpg",
    "hasSlackSigningSecret": true,
    "slackEvents": {
      "requestUrl": "https://pozy.ai/media/example-1.jpg",
      "botEvents": [
        "string"
      ]
    },
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}
```
